# ECE 140: Linear Circuits

## Voltage, current, and resistance

Please see [SL Physics 1#Electric potential](/g11/sph3u7#electric-potential) for more information on voltage.

Please see [SL Physics 1#5.2 - Heating effect of electric currents](/g11/sph3u7/#52-heating-effect-of-electric-currents) for more information on current.

Please see [SL Physics 1#Resistance](/g11/sph3u7/#resistance) for more information on resistance.

**Electric charge** $Q$ quantises the charge of electrons and positive ions, and is expressed in coulombs (**C**).

Objects with charge generate electric fields, thus granting potential energy that is released upon proximity to another charge.

!!! warning
    Voltage and current are capitalised in **direct current only** ($V$, $I$). In general use, their lowercase forms should be used instead ($v, $i$).

**Voltage** is related to the change in energy ($dw$) over the change in charge ($dq$), or alternatively through Ohm's law:

$$i=\frac{dw}{dq}=\frac{i}{R}$$

**Current** represents the rate of flow of charge in amps (**A**). Conventional current moves opposite electron flow because old scientists couldn't figure it out properly.

$$i=\frac{dq}{dt}\approx \frac{\Delta q}{\Delta t}$$

### Power

Power represents the rate of doing work, in unit watts ($\pu W$, J/s)

$$P=\frac{dw}{dt}$$

It is also directly related to voltage and current:

$$P=vi$$

Much like relative velocity, power is directional and relative, with a positive sign indicating the direction of conventional current.

$$P_{CB}=-P_{BC}$$

The **ground** is the "absolute zero" voltage with a maximum potential difference. It is also known as the "reference voltage".
